Package com.mouseviator.fsuipc.datarequest.primitives

# Enum StringRequest.ValueRetrieveMethod

java.lang.Object
java.lang.Enum<StringRequest.ValueRetrieveMethod>
com.mouseviator.fsuipc.datarequest.primitives.StringRequest.ValueRetrieveMethod

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<StringRequest.ValueRetrieveMethod>`, `java.lang.constant.Constable`

Enclosing class:
  StringRequest

    public static enum StringRequest.ValueRetrieveMethod
    extends java.lang.Enum<StringRequest.ValueRetrieveMethod>

This enumeration defines values retrieve method that will be used by `StringRequest.getValue()` method.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `TO_FIRST_ZERO_BYTE` | Retrieve the content of underlying byte buffer up to first zero byte when converting it to String.
  `WHOLE_BUFFER` | Retrieve the content of whole underlying byte buffer when converting it to String.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static StringRequest.ValueRetrieveMethod` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static StringRequest.ValueRetrieveMethod[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WHOLE_BUFFER

    public static final StringRequest.ValueRetrieveMethod WHOLE_BUFFER
    Retrieve the content of whole underlying byte buffer when converting it to String.

  - ### TO_FIRST_ZERO_BYTE

    public static final StringRequest.ValueRetrieveMethod TO_FIRST_ZERO_BYTE
    Retrieve the content of underlying byte buffer up to first zero byte when converting it to String.

- ## Method Details

  - ### values

    public static StringRequest.ValueRetrieveMethod[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static StringRequest.ValueRetrieveMethod valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null